Summary:	A collection of CD/DVD utilities.
Name:		cdrtools
Version:	2.01a20
Release:	1.5.1
License:	GPL
Group:		Applications/System
Source0:	http://ftp.berlios.de/pub/cdrecord/%{name}-%{version}.tar.gz
Patch0:		cdrtools-2.01a20-dvd-mdk-gd-1.diff
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
cdrtools is a collection of CD/DVD utilities.

%package -n cdrecord
Summary:	A command line CD/DVD recording program.
Group:		Applications/Archiving

%files -n cdrecord
  %defattr(-,root,root)
  %doc AN-%{version} doc/cdrecord.ps Changelog README* 
  %doc cdrecord/cdrecord.dfl
  %doc %{_mandir}/man1/cdrecord.1*
  %config /etc/cdrecord.conf
  %attr(0700,root,root)	/usr/bin/cdrecord
  %attr(0700,root,root)	/usr/bin/readcd
  %attr(0700,root,root)	/usr/bin/devdump

%description -n cdrecord
Cdrecord is an application for creating audio and data CDs. Cdrecord
works with many different brands of CD recorders, fully supports
multi-sessions and provides human-readable error messages.

%package -n cdrecord-devel
Summary:	The libschily SCSI user level transport library.
Group:		Development/Libraries
Requires:	 cdrecord = %{version}

%description -n cdrecord-devel
The cdrecord-devel package contains a SCSI user level transport
library which can talk to any SCSI device without a special driver for
the device. Cdrecord can easily be ported to any system with a SCSI
device driver similar to the scg driver.

%files -n cdrecord-devel
  %defattr(-,root,root)
  %{_libdir}/libdeflt.a
  %{_libdir}/libscg.a
  %{_libdir}/libschily.a
  %{_libdir}/libedc_ecc.a
  %{_libdir}/libparanoia.a
  /usr/include/schily

%package -n mkisofs
Summary:	Creates an image of an ISO9660 filesystem.
Group:		Applications/System
Obsoletes:	cdrecord-mkisofs
Provides:	cdrecord-mkisofs

%description -n mkisofs
The mkisofs program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem.  Mkisofs takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device.  Mkisofs is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

%files -n mkisofs
  %defattr(-,root,root)
  %doc AN-%{version} mkisofs/COPYING mkisofs/ChangeLog
  %doc mkisofs/README*
  %doc %{_mandir}/man8/isoinfo.8*
  %doc %{_mandir}/man8/mkisofs.8*
  %doc %{_mandir}/man8/mkhybrid.8*
  %attr(0700,root,root)	/usr/bin/mkisofs
  %attr(0700,root,root)	/usr/bin/mkhybrid
  %attr(0700,root,root)	/usr/bin/isoinfo
  %attr(0700,root,root)	/usr/bin/isodump
  %attr(0700,root,root)	/usr/bin/isovfy
  %attr(0700,root,root)	/usr/bin/isodebug

%package -n cdda2wav
Group:		Applications/Multimedia
Summary:	A utility for sampling/copying .wav files from digital audio CDs.
Obsoletes:	cdrecord-cdda2wav
Provides:	cdrecord-cdda2wav

%description -n cdda2wav
Cdda2wav is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host. Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates.  Cdda2wav can also be used as a CD player.

%files -n cdda2wav
  %defattr(-,root,root)
  %doc AN-%{version} cdda2wav/GPL cdda2wav/FAQ cdda2wav/OtherProgs
  %doc cdda2wav/README* cdda2wav/Frontends cdda2wav/HOWTOUSE
  %doc %{_mandir}/man1/cdda2wav.1*
  %attr(0700,root,root)	/usr/bin/cdda2wav

%prep
%setup -q -n %{name}-2.01
%patch0 -p1

  # Turn off buggy CD_EXTRA code.
  sed -e 's/define CD_EXTRA/undef CD_EXTRA/' < cdda2wav/toc.c > cdda2wav/toc.c.tmp
  mv -f cdda2wav/toc.c.tmp cdda2wav/toc.c

  fgrep -rl '/etc/default/cdrecord' .|xargs perl -pi -e 's#/etc/default/cdrecord#/etc/cdrecord.conf#g'

%build
  #ln -s i686-linux-cc incs/athlon-linux-cc
  ln -s i686-linux-cc.rul RULES/athlon-linux-cc.rul
  ln -s i686-linux-gcc.rul RULES/athlon-linux-gcc.rul
  ln -s i686-linux-gcc.rul RULES/s390x-linux-gcc.rul
  ln -s i686-linux-cc.rul RULES/s390x-linux-cc.rul
  ln -s i686-linux-cc.rul RULES/ppc64-linux-cc.rul
  ln -s i686-linux-gcc.rul RULES/ppc64-linux-gcc.rul
  ln -s i686-linux-cc.rul RULES/x86_64-linux-cc.rul
  ln -s i686-linux-gcc.rul RULES/x86_64-linux-gcc.rul
  rm -f mkisofs/README.compression.zisofs-support-hpa
  find . |xargs chmod a+r
  find . -name \*.mk|xargs perl -pi -e 's/INSDIR=\s*lib\s*$/INSDIR=%{_lib}\n/g'

  cd conf
  aclocal
  libtoolize --copy --force
  cd ..
  ./Gmake.linux


%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mandir=%{_mandir}
  ./Gmake.linux "MANDIR=${mandir#/usr}" "INS_BASE=$RPM_BUILD_ROOT/usr" install

  # Installing Header files for use with devel package
  [ -e  include/scg ] && rm include/scg

  install -d $RPM_BUILD_ROOT/usr/include/schily/scg
  install -m 644 include/* $RPM_BUILD_ROOT/usr/include/schily
  install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT/usr/include/schily
  install -m 644 libscg/scg/* $RPM_BUILD_ROOT/usr/include/schily/scg

  groff -Tps -man doc/cdrecord.man > doc/cdrecord.ps

  mkdir -p $RPM_BUILD_ROOT/etc
  install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/readcd*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/scgcheck*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/makefiles*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/makerules*
  rm -f $RPM_BUILD_ROOT/usr/bin/scgcheck \
	$RPM_BUILD_ROOT/usr/include/align.h \
	$RPM_BUILD_ROOT/usr/include/avoffset.h \
	$RPM_BUILD_ROOT/%{_libdir}/libfile.a \
	$RPM_BUILD_ROOT/%{_libdir}/libhfs.a \
	$RPM_BUILD_ROOT/%{_libdir}/librscg.a \
	$RPM_BUILD_ROOT/%{_libdir}/libunls.a \
	$RPM_BUILD_ROOT/usr/sbin/rscsi 
  rm -f $RPM_BUILD_ROOT/usr/lib/libfile.a $RPM_BUILD_ROOT/usr/lib/libhfs.a
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/cdda2ogg*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 12 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.01a20, Release 1.5.1
  - Upgrade to a recent alpha release.
  - Bring in DVD support from http://people.mandrakesoft.com/~warly/.

* Tue Feb 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Initial package taken from Red Hat Rawhide.  Changelog removed.
